/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbEtcAttrObj {

    // etc_id
    private String etcAttrType;
    // etc_id
    private String etcAttrId;
    // name
    private String etcAttrName;
    // value
    private String etcAttrValue;

    /**
     * etcAttrIdを取得します。
     * @return etcAttrId
     */
    protected String getEtcAttrId() {
        return etcAttrId;
    }

    /**
     * etcAttrIdを設定します。
     * @param etcAttrId etcAttrId
     */
    protected void setEtcAttrId(String etcAttrId) {
        this.etcAttrId = etcAttrId;
    }

    /**
     * etcAttrNameを取得します。
     * @return etcAttrName
     */
    protected String getEtcAttrName() {
        return etcAttrName;
    }

    /**
     * etcAttrNameを設定します。
     * @param etcAttrName etcAttrName
     */
    protected void setEtcAttrName(String etcAttrName) {
        this.etcAttrName = etcAttrName;
    }

    /**
     * etcAttrTypeを取得します。
     * @return etcAttrType
     */
    protected String getEtcAttrType() {
        return etcAttrType;
    }

    /**
     * etcAttrTypeを設定します。
     * @param etcAttrType etcAttrType
     */
    protected void setEtcAttrType(String etcAttrType) {
        this.etcAttrType = etcAttrType;
    }

    /**
     * etcAttrValueを取得します。
     * @return etcAttrValue
     */
    protected String getEtcAttrValue() {
        return etcAttrValue;
    }

    /**
     * etcAttrValueを設定します。
     * @param etcAttrValue etcAttrValue
     */
    protected void setEtcAttrValue(String etcAttrValue) {
        this.etcAttrValue = etcAttrValue;
    }
}